package com.yizhi.calendar.application.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

@ApiModel("日历打卡签到入口类")
@Data
public class CalendarSignViewVO {

    @ApiModelProperty("是否签到")
    private Integer isSign;
    
    @ApiModelProperty("签到积分")
    private Integer point;
    
    @ApiModelProperty("已连续签到天数")
    private Long day;
    
    @ApiModelProperty("周期结束的最后一天")
    private Integer isCycle;
    
    @ApiModelProperty("背景图")
    private String imgUrl;
    
    @ApiModelProperty("已连续签到天数")
    private Long sumDays;

    @ApiModelProperty("鸡汤文")
    private String content;

    @ApiModelProperty("用户名")
    private String name;
    
    @ApiModelProperty("头像")
    private String headPortrait;
    
    @ApiModelProperty("海报id")
    private Long posterId;

}
