package com.yizhi.calendar.application.vo;

import java.util.Date;
import java.util.List;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

@Data
public class CalendarVO {

    @ApiModelProperty(value = "主键")
	private Long id;

    @ApiModelProperty(value = "首次打卡积分")
	private Integer firstPoint;

    @ApiModelProperty(value = "积分设置类型（1连续递增，2自定义）")
	private Integer setType;

    @ApiModelProperty(value = "状态 0未启用  1启用 默认启用")
	private Integer state;

    @ApiModelProperty(value = "周期持续天数 默认不限制")
	private Long cycle;

    @ApiModelProperty(value = "企业ID")
	private Long companyId;

    @ApiModelProperty(value = "站点ID")
	private Long siteId;

    @ApiModelProperty(value = "部门ID")
	private Long orgId;

    @ApiModelProperty(value = "创建时间")
	private Date createTime;

    @ApiModelProperty(value = "创建人ID")
	private Long createById;

    @ApiModelProperty(value = "创建人名字")
	private String createByName;

    @ApiModelProperty(value = "修改时间")
	private Date updateTime;

    @ApiModelProperty(value = "修改人ID")
	private Long updateById;

    @ApiModelProperty(value = "修改人名字")
	private String updateByName;

    @ApiModelProperty(value = "积分规则")
	private List<CalendarPointSetVO> sets;
}
